Package nl.tudelft.simulation.dsol.animation.gis.mapfile

## Class MapFileXMLParser

- java.lang.Object
- - nl.tudelft.simulation.dsol.animation.gis.mapfile.MapFileXMLParser

    public final class MapFileXMLParser
    extends Object

This class parses an XML-mapfile that contains and constructs appropriate map objects.
Validation is set with the system property nl.javel.gisbeans.map.mapfile.validate =[true|false] and the xmlschema is set with the systemproperty nl.javel.gisbeans.map.mapfile.schema = [file]

copyright (c) 2002-2019 Javel b.v. , the Netherlands.

License of use: Lesser General Public License (LGPL) , no warranty.

Author:
  Paul Jacobs, Peter Jacobs

### Nested Class Summary

Nested Classes
`protected static class` `MapFileXMLParser.GisMapHandler` The actual parser of the map file XML-document.
`protected static class` `MapFileXMLParser.ValidationHandler` The validationHandler.

### Field Summary

Fields
`static URL` `MAPFILE_SCHEMA` the default mapfile.

### Method Summary

All Methods Static Methods Concrete Methods
`static GisMapInterface` `parseMapFile​(URL url, CoordinateTransform coordinateTransform)` parses a Mapfile URL to a mapFile.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MAPFILE_SCHEMA

    public static final URL MAPFILE_SCHEMA

the default mapfile.

### Method Detail

#### parseMapFile

    public static GisMapInterface parseMapFile​(URL url,
                                               CoordinateTransform coordinateTransform)
                                        throws IOException

parses a Mapfile URL to a mapFile.

Parameters:
  `url` - URL; the mapfile url.
  `coordinateTransform` - CoordinateTransform; the transformation of (x, y) coordinates to (x', y') coordinates.
Returns:
  MapInterface the parsed mapfile.
Throws:
  `IOException` - on failure